Subject: [PATCH 2/5] arm64: use fixmap region for permanent FDT mapping

From: [email-masked] (Mark Rutland)
Date: Wed, 11 Mar 2015 10:46:42 +0000

> I agree with Mark's observation that 2 MB seems reasonable at the
> moment, but on the other hand, the code only requires minor tweaking
> to make the limit configurable simply by changing the FIX_FDT_SIZE
> define, so I don't mind changing that.

We should have a common limit rather than a configurable option; there's
no point building a compatibility nightmare for ourselves when the only
thing we lose is a few entries in the fixmap.

I'm happy to bump the max size for the DTB, but I'd like to see a
reasonable example of a DTB approaching or exceeding that first.

Mark.